/// <reference types="knockout" />
import { UiElement, UiElementOptions } from "./uiElement";
export interface InputElementOptions<TInput> extends UiElementOptions {
    disabled?: boolean | KnockoutObservable<boolean>;
    placeholder?: string;
    onchange?: (newValue: TInput) => void;
}
export declare class InputElement<TInput> extends UiElement {
    constructor(elementType: string, options?: InputElementOptions<TInput>);
    inputType: InputElementType;
    disabled: boolean | KnockoutObservable<boolean>;
    placeholder: string;
    onchange: (newValue: TInput) => void;
}
export declare type InputElementType = "button" | "checkbox" | "color" | "date" | "datetime-local" | "email" | "file" | "hidden" | "image" | "month" | "number" | "password" | "radio" | "range" | "reset" | "search" | "submit" | "tel" | "text" | "time" | "url" | "week";
