import { UiElement, UiElementOptions } from "./uiElement";
export interface UiChildrensElementOptions<TItem extends UiElement> extends UiElementOptions {
    children?: Array<TItem>;
}
export declare abstract class UiChildrensElement<TChild extends UiElement> extends UiElement {
    protected constructor(tagName: string, type: string, options?: UiChildrensElementOptions<TChild>);
    private renderItems;
    private children;
    getChildren: () => TChild[];
    setChildren: (children: TChild[]) => void;
    addChild: (newItem: TChild, referenceItem?: TChild) => void;
    clear: () => void;
    removeChild: (element: TChild) => void;
}
